API ReferenceApplications
POST
/{ssoAppId}/oauth2/v1/tokenPath Parameters
ssoAppId*string
Request Body
application/json
grant_type?string
code?string
Length
length <= 1000redirect_uri?string
client_id?string
Length
length <= 200client_secret?string
Length
length <= 1000code_verifier?string
Length
length <= 5000refresh_token?string
Length
length <= 10000scope?string
Length
length <= 10000ssoAppId?string
Length
length <= 100audience?string
Length
length <= 1000username?string
Length
length <= 1000password?string
Length
length <= 1000assertion?string
Length
length <= 1000000client_assertion_type?string
client_assertion?string
Length
length <= 1000000device_code?string
Length
length <= 1000project_id?string
OIDC token endpoint (sso app)
curl -X POST "https://api.descope.com/string/oauth2/v1/token" \ -H "Content-Type: application/json" \ -d '{}'{ "access_token": "string", "token_type": "string", "refresh_token": "string", "id_token": "string", "expires_in": 0, "scope": "string", "error": "string", "description": "string", "issued_token_type": "string", "authorization_details": { "values": [ null ] }, "session_id": "string", "signed_in": true, "refresh_token_expires_in": 0}export interface Response {access_token?: stringtoken_type?: stringrefresh_token?: stringid_token?: stringexpires_in?: numberscope?: string/** * Those fields are in use just in case of error of device flow scenario (where device polling on the specific error response) */error?: stringdescription?: stringissued_token_type?: stringauthorization_details?: GoogleProtobuf/** * Poppy Session this token belongs to; absent when the request did not use a Poppy Session */session_id?: string/** * Whether the Poppy Session is signed in to an account; absent when the request did not use a Poppy Session */signed_in?: boolean/** * Lifetime in seconds of the refresh token born from a Poppy Session sign-in */refresh_token_expires_in?: number}/** * `ListValue` is a wrapper around a repeated field of values. * * The JSON representation for `ListValue` is JSON array. */export interface GoogleProtobuf {/** * Repeated field of dynamically typed values. */values?: {[k: string]: unknown}[]} Was this helpful?